{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <title>Todo List</title>
</head>
<header>
    <nav>
        
    </nav>
</header>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'create_todolist' %}">Create a new list</a>
            </p>
            <p>
                <a href="{% url 'create_todolist_item' %}"> Create a new item</a>
            </p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in items %}
                    <tr>
                        <td><a href="{% url 'todo_list_detail' list.id %}">{{list.name}}</a></td>
                        <td>{{list.items.all|length}}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>